Xeonr Developer Docs
API SpecificationSandboxes

ExposePort

POST
/containers.api.v1.SandboxService/ExposePort

preview URL for a served app

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

sandboxId?string
port?integer
auth?string
Value in"AUTH_UNSPECIFIED" | "AUTH_SIGNED_URL" | "AUTH_FORWARD_AUTH" | "AUTH_PUBLIC"
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.SandboxService/ExposePort" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "port": {
    "port": 0,
    "url": "string",
    "accessToken": "string",
    "auth": "AUTH_UNSPECIFIED"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}